<html lang=en>
<head>
<meta name="Generated by Rational Rose model" content="D:\work\WTP\org.eclipse.jst.j2ee.core\rose\j2ee.mdl">
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<meta name="Description" content="The session-beanType declares an session bean. The  declaration consists of:        - an optional description      - an optional display name      - an optional icon element that contains a small and a large        icon file name      - a name assigned to the enterprise bean        in the deployment description      - the names of the session bean's remote home and        remote interfaces, if any      - the names of the session bean's local home and        local interfaces, if any      - the name of the session bean's web service endpoint        interface, if any      - the session bean's implementation class      - the session bean's state management type      - the session bean's transaction management type      - an optional declaration of the bean's        environment entries      - an optional declaration of the bean's EJB references      - an optional declaration of the bean's local        EJB references      - an optional declaration of the bean's web        service references      - an optional declaration of the security role        references      - an optional declaration of the security identity        to be used for the execution of the bean's methods      - an optional declaration of the bean's resource        manager connection factory references      - an optional declaration of the bean's resource        environment references.      - an optional declaration of the bean's message        destination references    The elements that are optional are  optional  in the sense  that they are omitted when if lists represented by them are  empty.    Either both the local-home and the local elements or both  the home and the remote elements must be specified for the  session bean.    The service-endpoint element may only be specified if the  bean is a stateless session bean.">
<meta name="KeyWords" content="Session,Class Session,j2ee,model j2ee,">
<a href="../../root.html" target=_top><IMG SRC="../../webviewer/home.gif"BORDER=0></a>
</head>
<body bgcolor = "#FFFFFF">
<p><font FACE="Arial, Geneva" SIZE=3><b>Class&nbsp;Session&nbsp;{Java}&nbsp;derived&nbsp;from:&nbsp;<a href="class3780e71a010a.htm" target="contents_frame">EnterpriseBean</a></b></font></p>
<font FACE="Arial, Geneva" SIZE=2><b>Documentation</b></font><BR><font FACE="Arial, Geneva" SIZE=2>The&nbsp;session-beanType&nbsp;declares&nbsp;an&nbsp;session&nbsp;bean.&nbsp;The
<BR>declaration&nbsp;consists&nbsp;of:
<BR>
<BR>&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;an&nbsp;optional&nbsp;description
<BR>&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;an&nbsp;optional&nbsp;display&nbsp;name
<BR>&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;an&nbsp;optional&nbsp;icon&nbsp;element&nbsp;that&nbsp;contains&nbsp;a&nbsp;small&nbsp;and&nbsp;a&nbsp;large
<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;icon&nbsp;file&nbsp;name
<BR>&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;a&nbsp;name&nbsp;assigned&nbsp;to&nbsp;the&nbsp;enterprise&nbsp;bean
<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;in&nbsp;the&nbsp;deployment&nbsp;description
<BR>&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;the&nbsp;names&nbsp;of&nbsp;the&nbsp;session&nbsp;bean's&nbsp;remote&nbsp;home&nbsp;and
<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;remote&nbsp;interfaces,&nbsp;if&nbsp;any
<BR>&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;the&nbsp;names&nbsp;of&nbsp;the&nbsp;session&nbsp;bean's&nbsp;local&nbsp;home&nbsp;and
<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;local&nbsp;interfaces,&nbsp;if&nbsp;any
<BR>&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;the&nbsp;name&nbsp;of&nbsp;the&nbsp;session&nbsp;bean's&nbsp;web&nbsp;service&nbsp;endpoint
<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;interface,&nbsp;if&nbsp;any
<BR>&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;the&nbsp;session&nbsp;bean's&nbsp;implementation&nbsp;class
<BR>&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;the&nbsp;session&nbsp;bean's&nbsp;state&nbsp;management&nbsp;type
<BR>&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;the&nbsp;session&nbsp;bean's&nbsp;transaction&nbsp;management&nbsp;type
<BR>&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;an&nbsp;optional&nbsp;declaration&nbsp;of&nbsp;the&nbsp;bean's
<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;environment&nbsp;entries
<BR>&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;an&nbsp;optional&nbsp;declaration&nbsp;of&nbsp;the&nbsp;bean's&nbsp;EJB&nbsp;references
<BR>&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;an&nbsp;optional&nbsp;declaration&nbsp;of&nbsp;the&nbsp;bean's&nbsp;local
<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;EJB&nbsp;references
<BR>&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;an&nbsp;optional&nbsp;declaration&nbsp;of&nbsp;the&nbsp;bean's&nbsp;web
<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;service&nbsp;references
<BR>&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;an&nbsp;optional&nbsp;declaration&nbsp;of&nbsp;the&nbsp;security&nbsp;role
<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;references
<BR>&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;an&nbsp;optional&nbsp;declaration&nbsp;of&nbsp;the&nbsp;security&nbsp;identity
<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;to&nbsp;be&nbsp;used&nbsp;for&nbsp;the&nbsp;execution&nbsp;of&nbsp;the&nbsp;bean's&nbsp;methods
<BR>&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;an&nbsp;optional&nbsp;declaration&nbsp;of&nbsp;the&nbsp;bean's&nbsp;resource
<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;manager&nbsp;connection&nbsp;factory&nbsp;references
<BR>&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;an&nbsp;optional&nbsp;declaration&nbsp;of&nbsp;the&nbsp;bean's&nbsp;resource
<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;environment&nbsp;references.
<BR>&nbsp;&nbsp;&nbsp;&nbsp;-&nbsp;an&nbsp;optional&nbsp;declaration&nbsp;of&nbsp;the&nbsp;bean's&nbsp;message
<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;destination&nbsp;references
<BR>
<BR>The&nbsp;elements&nbsp;that&nbsp;are&nbsp;optional&nbsp;are&nbsp;"optional"&nbsp;in&nbsp;the&nbsp;sense
<BR>that&nbsp;they&nbsp;are&nbsp;omitted&nbsp;when&nbsp;if&nbsp;lists&nbsp;represented&nbsp;by&nbsp;them&nbsp;are
<BR>empty.
<BR>
<BR>Either&nbsp;both&nbsp;the&nbsp;local-home&nbsp;and&nbsp;the&nbsp;local&nbsp;elements&nbsp;or&nbsp;both
<BR>the&nbsp;home&nbsp;and&nbsp;the&nbsp;remote&nbsp;elements&nbsp;must&nbsp;be&nbsp;specified&nbsp;for&nbsp;the
<BR>session&nbsp;bean.
<BR>
<BR>The&nbsp;service-endpoint&nbsp;element&nbsp;may&nbsp;only&nbsp;be&nbsp;specified&nbsp;if&nbsp;the
<BR>bean&nbsp;is&nbsp;a&nbsp;stateless&nbsp;session&nbsp;bean.</font><BR><BR>
</body>
</html>
